package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de datos para enviar a la interfaz 45. 
 */

public class TitulosAsocContratoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	
	private String ID_TITULO_CNT;
	private String ID_TITULO_CNTORIG;
	private String DESC_TITULO;
	private String ID_SAP_ESTUDIO;
	private String ID_BV;
	private String FECHA_INICIO;
	
	public String getID_TITULO_CNT() {
		return ID_TITULO_CNT;
	}

	public void setID_TITULO_CNT(String iD_TITULO_CNT) {
		ID_TITULO_CNT = iD_TITULO_CNT;
	}

	public String getID_TITULO_CNTORIG() {
		return ID_TITULO_CNTORIG;
	}

	public void setID_TITULO_CNTORIG(String iD_TITULO_CNTORIG) {
		ID_TITULO_CNTORIG = iD_TITULO_CNTORIG;
	}

	public String getDESC_TITULO() {
		return DESC_TITULO;
	}

	public void setDESC_TITULO(String dESC_TITULO) {
		DESC_TITULO = dESC_TITULO;
	}

	public String getID_SAP_ESTUDIO() {
		return ID_SAP_ESTUDIO;
	}

	public void setID_SAP_ESTUDIO(String iD_SAP_ESTUDIO) {
		ID_SAP_ESTUDIO = iD_SAP_ESTUDIO;
	}

	public String getID_BV() {
		return ID_BV;
	}

	public void setID_BV(String iD_BV) {
		ID_BV = iD_BV;
	}

	public String getFECHA_INICIO() {
		return FECHA_INICIO;
	}

	public void setFECHA_INICIO(String fECHA_INICIO) {
		FECHA_INICIO = fECHA_INICIO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_TITULO_CNT: _" + this.getID_TITULO_CNT() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTORIG: _" + this.getID_TITULO_CNTORIG() + "_" + NEW_LINE);
		result.append(" DESC_TITULO: _" + this.getDESC_TITULO() + "_" + NEW_LINE);
		result.append(" ID_SAP_ESTUDIO: _" + this.getID_SAP_ESTUDIO() + "_" + NEW_LINE);
		result.append(" ID_BV: _" + this.getID_BV() + "_" + NEW_LINE);
		result.append(" FECHA_INICIO: _" + this.getFECHA_INICIO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
